Did something break with 2.4 on Mac?

I did a clean install and there's no nameko executable.

$ pip install nameko
Collecting nameko
  Downloading nameko-2.4.0-py2.py3-none-any.whl (65kB)
    100% |████████████████████████████████| 71kB 2.3MB/s
Requirement already satisfied (use --upgrade to upgrade): kombu>=3.0.1 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): eventlet>=0.16.1
in /usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): six>=1.9.0 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): requests>=1.2.0
in /usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): path.py>=6.2 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): mock>=1.0.1 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): pyyaml>=3.10 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): werkzeug>=0.9 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): amqp<2.0,>=1.4.9
in /usr/local/lib/python2.7/site-packages (from kombu>=3.0.1->nameko)
Requirement already satisfied (use --upgrade to upgrade): anyjson>=0.3.3 in
/usr/local/lib/python2.7/site-packages (from kombu>=3.0.1->nameko)
Requirement already satisfied (use --upgrade to upgrade): greenlet>=0.3 in
/usr/local/lib/python2.7/site-packages (from eventlet>=0.16.1->nameko)
Requirement already satisfied (use --upgrade to upgrade): funcsigs>=1;
python_version < "3.3" in /usr/local/lib/python2.7/site-packages (from

=1.0.1->nameko)

Requirement already satisfied (use --upgrade to upgrade): pbr>=0.11 in
/usr/local/lib/python2.7/site-packages (from mock>=1.0.1->nameko)
Installing collected packages: nameko
Successfully installed nameko-2.4.0
$ nameko
-bash: /usr/local/bin/nameko: No such file or directory

Tried the same on Linux (Ubuntu 16.04) and it has a nameko executable.

Built from source and created a sym link.

$ ln -s
/usr/local/Cellar/python/2.7.12/Frameworks/Python.framework/Versions/2.7/bin/nameko
/usr/local/bin/nameko

$ nameko -h
usage: nameko [-h] {backdoor,run,shell} ...

···

On Wednesday, August 31, 2016 at 5:11:01 PM UTC-5, B Smith wrote:

I did a clean install and there's no nameko executable.

$ pip install nameko
Collecting nameko
  Downloading nameko-2.4.0-py2.py3-none-any.whl (65kB)
    100% |████████████████████████████████| 71kB 2.3MB/s
Requirement already satisfied (use --upgrade to upgrade): kombu>=3.0.1 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): eventlet>=0.16.1
in /usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): six>=1.9.0 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): requests>=1.2.0
in /usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): path.py>=6.2 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): mock>=1.0.1 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): pyyaml>=3.10 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): werkzeug>=0.9 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): amqp<2.0,>=1.4.9
in /usr/local/lib/python2.7/site-packages (from kombu>=3.0.1->nameko)
Requirement already satisfied (use --upgrade to upgrade): anyjson>=0.3.3
in /usr/local/lib/python2.7/site-packages (from kombu>=3.0.1->nameko)
Requirement already satisfied (use --upgrade to upgrade): greenlet>=0.3 in
/usr/local/lib/python2.7/site-packages (from eventlet>=0.16.1->nameko)
Requirement already satisfied (use --upgrade to upgrade): funcsigs>=1;
python_version < "3.3" in /usr/local/lib/python2.7/site-packages (from
>=1.0.1->nameko)
Requirement already satisfied (use --upgrade to upgrade): pbr>=0.11 in
/usr/local/lib/python2.7/site-packages (from mock>=1.0.1->nameko)
Installing collected packages: nameko
Successfully installed nameko-2.4.0
$ nameko
-bash: /usr/local/bin/nameko: No such file or directory

Tried the same on Linux (Ubuntu 16.04) and it has a nameko executable.

glad you got it sorted. for future reference, you'd probably benefit from
looking into using virtualenv https://virtualenv.pypa.io/en/stable/

best,
david

···

On Thursday, 1 September 2016 00:16:24 UTC+2, B Smith wrote:

Built from source and created a sym link.

$ ln -s
/usr/local/Cellar/python/2.7.12/Frameworks/Python.framework/Versions/2.7/bin/nameko
/usr/local/bin/nameko

$ nameko -h
usage: nameko [-h] {backdoor,run,shell} ...

On Wednesday, August 31, 2016 at 5:11:01 PM UTC-5, B Smith wrote:

I did a clean install and there's no nameko executable.

$ pip install nameko
Collecting nameko
  Downloading nameko-2.4.0-py2.py3-none-any.whl (65kB)
    100% |████████████████████████████████| 71kB 2.3MB/s
Requirement already satisfied (use --upgrade to upgrade): kombu>=3.0.1 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade):
>=0.16.1 in /usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): six>=1.9.0 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): requests>=1.2.0
in /usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): path.py>=6.2 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): mock>=1.0.1 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): pyyaml>=3.10 in
/usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade): werkzeug>=0.9
in /usr/local/lib/python2.7/site-packages (from nameko)
Requirement already satisfied (use --upgrade to upgrade):
amqp<2.0,>=1.4.9 in /usr/local/lib/python2.7/site-packages (from
>=3.0.1->nameko)
Requirement already satisfied (use --upgrade to upgrade): anyjson>=0.3.3
in /usr/local/lib/python2.7/site-packages (from kombu>=3.0.1->nameko)
Requirement already satisfied (use --upgrade to upgrade): greenlet>=0.3
in /usr/local/lib/python2.7/site-packages (from eventlet>=0.16.1->nameko)
Requirement already satisfied (use --upgrade to upgrade): funcsigs>=1;
python_version < "3.3" in /usr/local/lib/python2.7/site-packages (from
>=1.0.1->nameko)
Requirement already satisfied (use --upgrade to upgrade): pbr>=0.11 in
/usr/local/lib/python2.7/site-packages (from mock>=1.0.1->nameko)
Installing collected packages: nameko
Successfully installed nameko-2.4.0
$ nameko
-bash: /usr/local/bin/nameko: No such file or directory

Tried the same on Linux (Ubuntu 16.04) and it has a nameko executable.